package com.gic.haoban.manage.api.dto.qdto.hm;

import java.io.Serializable;
import java.util.Date;

/**
 * 多人活码(TabHaobanHmClerkRelation)实体类
 *
 * @author mozhu
 * @since 2022-07-04 15:42:20
 */
public class HmClerkRelationQDTO implements Serializable {

    private static final long serialVersionUID = -101673102932899579L;

    private Long relationId;
    
    private Long hmId;
    
    private String wxEnterpriseId;
    
    private String enterpriseId;
    
    private String storeId;
    
    private String storeName;
    
    private String storeCode;
    
    private String clerkId;
    
    private String clerkName;
    
    private String clerkCode;
    /**
     * 1正常 0删除
     */
    private Integer status;
    
    private Date createTime;
    
    private Date updateTime;
    /**
     * 是否上限1是0否
     */
    private Integer overFlag;

    private Integer addNum;

    private String staffId;
    private String staffName;


    public Long getRelationId() {
        return relationId;
    }

    public void setRelationId(Long relationId) {
        this.relationId = relationId;
    }

    public Long getHmId() {
        return hmId;
    }

    public void setHmId(Long hmId) {
        this.hmId = hmId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getOverFlag() {
        return overFlag;
    }

    public void setOverFlag(Integer overFlag) {
        this.overFlag = overFlag;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public Integer getAddNum() {
        return addNum;
    }

    public void setAddNum(Integer addNum) {
        this.addNum = addNum;
    }
}

